Myspell for Kurdish should be included into Mozilla

RESOLVED FIXED

Status

Mozilla Localizations
ku / Kurdish
RESOLVED FIXED
12 years ago
8 years ago

People

(Reporter: Erdal Ronahi, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(4 attachments, 2 obsolete attachments)

(Reporter)

Description

12 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20060601 BonEcho/2.0 (Ubuntu-edgy)
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20060601 BonEcho/2.0 (Ubuntu-edgy)

There is a small but fine Myspell-ku package for Kurdish. I happen to be the maintainer, and since I am also involved in the Kurdish localization of Firefox, I would like to see the Kurdish Myspell integrated into the Mozilla products.

Reproducible: Always
(Reporter)

Updated

12 years ago
Version: zu / Zulu → unspecified
(Reporter)

Comment 1

12 years ago
To clarify: I am also the main author, and the other author agrees to triple licence it under GPL, LGPL and MPL.
(Reporter)

Comment 2

11 years ago
Created attachment 283996 [details]
Kurdish Dictionary

This is a Kurdish dictionary XPI I have built a while ago. It is also downloadable at http://download.ferheng.org/firefox/ku-dictionary.xpi

Comment 3

11 years ago
I didn't look at the actual dictionary, but from a licensing point of view, this looks good to land on the trunk. For the branch, we'll need to get this through the regular approval process.
Status: UNCONFIRMED → NEW
Ever confirmed: true
(Reporter)

Comment 4

10 years ago
This dictionary has been recreated as an extension. This extension is found at https://addons.mozilla.org/en-US/firefox/addon/8323

How does the regular approval process work?

Comment 5

10 years ago
Looking at the files inside the xpi, this is not compatible with our licenses, see http://wiki.mozilla.org/L10n:Dictionaries. [L]GPL v3 is not compatible with the 2[.1] versions that Mozilla requires.
(Reporter)

Comment 6

10 years ago
GPL v2 and
LGPL v2.1

are ok? Then I will relicense the extension at once. Other obstacles?

Comment 7

10 years ago
The rest seems to be a hunspell dictionary allright? Then there's no other issue but licensing.

If you worry, attach a patch to this bug. We'll need something to approve at least for cvs trunk.
(Reporter)

Comment 8

10 years ago
1. I have relicensed the extension
2. I have no idea what to patch and how
(Reporter)

Comment 9

10 years ago
Created attachment 332957 [details]
Spellcheck extension to be bundled with Kurdish localization of Firefox
Attachment #283996 - Attachment is obsolete: true
Attachment #332957 - Flags: approval1.9.0.2?

Comment 10

10 years ago
Comment on attachment 332957 [details]
Spellcheck extension to be bundled with Kurdish localization of Firefox

a-, I'll need a source patch for approval.

If the patch becomes to large for bugzilla, compress it and attach the compressed patch instead.
Attachment #332957 - Flags: approval1.9.0.2? → approval1.9.0.2-
(Reporter)

Comment 11

10 years ago
Again, as said in comment #8: I don't know what to patch and how. The source of the dictionary is in the XPI.

Comment 12

10 years ago
If you don't know what to patch, how can you request approval for it? You're keeping me busy with stuff that's not gonna work, instead of getting locales ready to ship. Just dumping stuff is not gonna work.

Dictionary files go to ku/extensions/spellcheck/hunspell, please check in with folks on #l10n if you need more help.

Comment 13

9 years ago
Moving to Kurdish locale. Can this bug be closed?
Component: Other → ku / Kurdish
QA Contact: amedcj
Created attachment 459337 [details] [diff] [review]
Kurdish spell checker

Attached is a patch against http://hg.mozilla.org/l10n-central/ku repository.

If I understand correctly, spell checker dictionaries should go to extensions/spellcheck/hunspell. In this case they will be picked by packaging an put to localized version of Firefox.

If the patch is OK, I'd be happy to help Erdal to commit it to ku repository.
Attachment #459337 - Flags: review?(l10n)

Comment 15

8 years ago
Comment on attachment 459337 [details] [diff] [review]
Kurdish spell checker

The license file still states the GPLs in v3, sorry.

If you relicense, please update https://wiki.mozilla.org/L10n:Dictionaries#Kurdish, too.
Attachment #459337 - Flags: review?(l10n) → review-
Erdal, is there any chance to relicense the files under GPL 2.0/LGPL 2.1/MPL 1.1?
(Reporter)

Comment 17

8 years ago
Created attachment 459854 [details]
New version with GPL 2 instead of GPL 3

Changed the file in the XPI to GPL 2.
dictionaries/README_ku.txt still says:
"Originally GPL, relicensed on 04-07-2007 to GPLv3, LGPLv3, MPL 1.1".
(Reporter)

Comment 19

8 years ago
Created attachment 459907 [details]
Changed README.txt to match the licensing

Changed README.txt to match the licensing
Created attachment 460004 [details] [diff] [review]
Kurdish spell checker

Take 2. :)
Attachment #459337 - Attachment is obsolete: true
Attachment #460004 - Flags: review?(l10n)

Updated

8 years ago
Attachment #460004 - Flags: review?(l10n) → review+
Axel, thanks a lot for the review. I have to ask you for another favor: could you please push this patch? I have no permissions to push to ku...
Comment on attachment 460004 [details] [diff] [review]
Kurdish spell checker

(In reply to comment #21)
> Axel, thanks a lot for the review. I have to ask you for another favor: could
> you please push this patch? I have no permissions to push to ku...

nm, I tried to use the wrong ssh user name.

http://hg.mozilla.org/l10n-central/ku/rev/9f35baa14b54
(Reporter)

Comment 23

8 years ago
Tested the nightlies on Linux and Windows, worked fine. Thanks for helping.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.